Cannot upgrade ZFS (apt-conf or package problem?)

Kernels & Hardware, configuring network, installing services

Cannot upgrade ZFS (apt-conf or package problem?)

Postby mabra » 2018-05-09 16:26

Hello!
I upgraded my box currently and now,
I am having debian 9.4 (9.4.0-3-amd64) with ZFS on root, which works fine.
I installed ZFS from the stretch-backports initially and now, looked for the policies:
0.7.6-1~bpo9+1 650
650 http://httpredir.debian.org/debian stretch-backports/contrib amd64 Packages

Looks ok.
The I tried to upgrade:
>apt-get -t stretch-backports upgrade
but getting:
The following packages have been kept back:
e2fslibs e2fsprogs exim4-base exim4-daemon-light libcomerr2 libss2 linux-headers-amd64 linux-image-amd64 spl-dkms systemd-sysv
tor tor-geoipdb zfs-dkms zfs-initramfs zfs-zed zfsutils-linux
The following packages will be upgraded:
debootstrap distro-info-data exim4-config iproute2 iptables libfastjson4 libip4tc0 libip6tc0 libiptc0 libldap-2.4-2

This output was cutted slightly - but at the end of the list, there is NO ZFS - like shown above, it is "kept back".
I have no clue, what happended and how I can upgrade ZFS, which is the most importent part
of my OS ...
Any help is really very welcome!
Thanks,
Manfred
User avatar
mabra
 
Posts: 82
Joined: 2010-10-16 16:53

Re: Cannot upgrade ZFS (apt-conf or package problem?)

Postby stevepusser » 2018-05-09 22:15

Upgrading everything at once willy nilly from backports is not encouraged.

What happens if you try to upgrade just the zfs packages?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: mvp 0.29.0, Pale Moon 28.0.0, wine-staging 3.13, qBittorrent 4.1.2, Linux kernel 4.17.14, virtualbox 5.2.18
User avatar
stevepusser
 
Posts: 9799
Joined: 2009-10-06 05:53


Return to System configuration

Who is online

Users browsing this forum: No registered users and 9 guests

fashionable